Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.p13n.usermgmt
Class InvalidGroupnameException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              com.bea.p13n.exceptions.ApplicationException
                  com.bea.p13n.usermgmt.InvalidGroupnameException

All Implemented Interfaces
  Serializable

    public class InvalidGroupnameException

extends ApplicationException

Application exception class that will be thrown when an attempt is made to create a group with an invalid name

See Also
  Serialized Form

Constructor Summary
`InvalidGroupnameException()`
`InvalidGroupnameException(String message)` Constructor
`InvalidGroupnameException(String message, Throwable t)` Constructor
`InvalidGroupnameException(Throwable t)` Constructor

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### InvalidGroupnameException

    public InvalidGroupnameException()

### InvalidGroupnameException

    public InvalidGroupnameException(String message)

  Constructor

  Parameters
    `message` - String representing the Exception message

### InvalidGroupnameException

    public InvalidGroupnameException(String message,
                                     Throwable t)

  Constructor

  Parameters
    `message` - String representing the Exception message
    `t` - Throwable object representing the wrapped or chained exception

### InvalidGroupnameException

    public InvalidGroupnameException(Throwable t)

  Constructor

  Parameters
    `t` - Throwable object representing the wrapped or chained exception

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.